/*
 * Created on 27-apr-2004
 */
package jaCop.domain;

import convFramework.domain.IConversationID;
import convFramework.domain.IPacketID;

/**
 * @author Lompa
 */
public class FaultNotification extends COPPacket{
	
	private COPNode[] fallenNodes = null;
	
	/**
	 * @param community
	 * @param sender
	 * @param convID
	 * @param packetID
	 */
	public FaultNotification(String community, COPNode sender,
			IConversationID convID, IPacketID packetID) {
		super(community, sender, convID, packetID);
	}
	
	/**
	 * @return Returns the fallenNode.
	 */
	public COPNode[] getFallenNodes() {
		return fallenNodes;
	}
	/**
	 * @param fallenNode The fallenNode to set.
	 */
	public void setFallenNodes(COPNode[] fallenNodes) {
		this.fallenNodes = fallenNodes;
	}
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getType()
	 */
	public String getType() {
		return getTypeDescription();
	}
	
	/* (non-Javadoc)
	 * @see jaCop.domain.A3Packet#getTypeDescription()
	 */
	public static String getTypeDescription(){
		return "faultNotification";
	}
}
